Skip to main content
DELETE
/
user
/
{user_id}
Delete user
curl --request DELETE \
  --url https://api.partoo.co/v2/user/{user_id} \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/user/{user_id}"

headers = {"x-APIKey": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/user/{user_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "5309c3a237bbc544d8e26737",
  "status": "success"
}
{
  "errors": {
    "authentication": "User not authenticated"
  }
}
{
  "errors": {
    "authorization": "Operation not allowed"
  }
}
{
  "errors": {
    "json": "Resource not found"
  }
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

user_id
string
required

User id

Response

OK

id
string

User id

Example:

"5309c3a237bbc544d8e26737"

status
enum<string>
Available options:
success